clang-tools 10.0.0

Namespaces | Functions
NarrowingConversionsCheck.cpp File Reference
`#include "NarrowingConversionsCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Type.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <cstdint>`
Include dependency graph for NarrowingConversionsCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::cppcoreguidelines

## Functions
static const BuiltinType * | clang::tidy::cppcoreguidelines::getBuiltinType (const Expr &E)
static QualType | clang::tidy::cppcoreguidelines::getUnqualifiedType (const Expr &E)
static APValue | clang::tidy::cppcoreguidelines::getConstantExprValue (const ASTContext &Ctx, const Expr &E)
static bool | clang::tidy::cppcoreguidelines::getIntegerConstantExprValue (const ASTContext &Context, const Expr &E, llvm::APSInt &Value)
static bool | clang::tidy::cppcoreguidelines::getFloatingConstantExprValue (const ASTContext &Context, const Expr &E, llvm::APFloat &Value)
static IntegerRange | clang::tidy::cppcoreguidelines::createFromType (const ASTContext &Context, const BuiltinType &T)
static bool | clang::tidy::cppcoreguidelines::isWideEnoughToHold (const ASTContext &Context, const BuiltinType &FromType, const BuiltinType &ToType)
static bool | clang::tidy::cppcoreguidelines::isWideEnoughToHold (const ASTContext &Context, const llvm::APSInt &IntegerConstant, const BuiltinType &ToType)
static llvm::SmallString< 64 > | clang::tidy::cppcoreguidelines::getValueAsString (const llvm::APSInt &Value, uint64_t HexBits)

## Variable Documentation

## ◆ Lower

llvm::APSInt Lower

Definition at line 113 of file NarrowingConversionsCheck.cpp.

## ◆ Upper

llvm::APSInt Upper

Definition at line 114 of file NarrowingConversionsCheck.cpp.